summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'net-proxy')
-rw-r--r--net-proxy/privoxy/Manifest1
-rw-r--r--net-proxy/privoxy/metadata.xml1
-rw-r--r--net-proxy/privoxy/privoxy-3.0.28.ebuild127
3 files changed, 129 insertions, 0 deletions
diff --git a/net-proxy/privoxy/Manifest b/net-proxy/privoxy/Manifest
index 402f1a3fe5b..fb0156258e1 100644
--- a/net-proxy/privoxy/Manifest
+++ b/net-proxy/privoxy/Manifest
@@ -1 +1,2 @@
DIST privoxy-3.0.26-stable-src.tar.gz 1741772 BLAKE2B 19dc72d93535e6eb960a53e3679886655b2aff037ad6002844eb76c970c7da52d016b7a54993e3dcf453c394da354cf8ec8f1f23a02b9216240e5460d6239b34 SHA512 e448305287d0451c761b76b8d8974ea1ec837b621bbb498a7ff16a54cb4d8f1f734efe2eef03235c01163bb40e225785065aad6ee265a31d90970ab98af11044
+DIST privoxy-3.0.28-stable-src.tar.gz 1753809 BLAKE2B 1ea0d6339c96bd294eadc124ebac252c43dcdc062709868668959bdb4f959267afb2ec7f27fc0d58db3655102f2412f1c8acb273267d447271465ac21f7a9be4 SHA512 5d58024ae73d623a2b8fb2ac49e18f047dfe252c9441388f025cf888c0e4b11546b8796cfa559759ee137002b1b31b30ad28b356ae226836454f32591eb835fc
diff --git a/net-proxy/privoxy/metadata.xml b/net-proxy/privoxy/metadata.xml
index ff0981277ef..6fcf7430880 100644
--- a/net-proxy/privoxy/metadata.xml
+++ b/net-proxy/privoxy/metadata.xml
@@ -21,6 +21,7 @@
<flag name="external-filters">Allow to filter content with scripts and programs. Experimental</flag>
<flag name="fast-redirects">Support fast redirects</flag>
<flag name="force">Allow single-page disable (force load)</flag>
+ <flag name="fuzz">Exposes Privoxy internals to input from files or stdout. Intended for fuzzing testing</flag>
<flag name="graceful-termination">Allow to shutdown Privoxy through the webinterface</flag>
<flag name="ie-images">Enable a quick but not always reliable auto-detect whether requests from MS Internet Explorer are for an image or not</flag>
<flag name="image-blocking">Allows the +handle-as-image action, to send "blocked" images instead of HTML</flag>
diff --git a/net-proxy/privoxy/privoxy-3.0.28.ebuild b/net-proxy/privoxy/privoxy-3.0.28.ebuild
new file mode 100644
index 00000000000..e827361418c
--- /dev/null
+++ b/net-proxy/privoxy/privoxy-3.0.28.ebuild
@@ -0,0 +1,127 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd toolchain-funcs user
+
+[ "${PV##*_}" = "beta" ] &&
+ PRIVOXY_STATUS="beta" ||
+ PRIVOXY_STATUS="stable"
+
+HOMEPAGE="http://www.privoxy.org https://sourceforge.net/projects/ijbswa/"
+DESCRIPTION="A web proxy with advanced filtering capabilities for enhancing privacy"
+SRC_URI="mirror://sourceforge/ijbswa/${P%_*}-${PRIVOXY_STATUS}-src.tar.gz"
+
+IUSE="+acl client-tags compression editor extended-host-patterns
+external-filters +fast-redirects +force fuzz graceful-termination
++image-blocking ipv6 lfs png-images selinux +stats +threads toggle
+tools whitelists +zlib"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+LICENSE="GPL-2"
+
+DEPEND="
+ dev-libs/libpcre
+ zlib? ( sys-libs/zlib )
+"
+RDEPEND="${DEPEND}
+ extended-host-patterns? ( dev-lang/perl )
+ selinux? ( sec-policy/selinux-privoxy )
+ tools? (
+ net-misc/curl
+ dev-lang/perl
+ )
+"
+REQUIRED_USE="
+ compression? ( zlib )
+ toggle? ( editor )
+"
+
+S="${WORKDIR}/${P%_*}-${PRIVOXY_STATUS}"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.0.19-gentoo.patch )
+
+pkg_pretend() {
+ if ! use threads; then
+ ewarn
+ ewarn "Privoxy may be very slow without threads support, consider to enable them."
+ ewarn "See also http://www.privoxy.org/faq/trouble.html#GENTOO-RICERS"
+ ewarn
+ fi
+}
+
+pkg_setup() {
+ enewgroup privoxy
+ enewuser privoxy -1 -1 /etc/privoxy privoxy
+}
+
+src_prepare() {
+ default
+ mv configure.in configure.ac || die
+ sed -i "s|/p\.p/|/config.privoxy.org/|g" tools/privoxy-regression-test.pl || die
+
+ # autoreconf needs to be called even if we don't modify any autotools source files
+ # See main makefile
+ eautoreconf
+}
+
+src_configure() {
+ # --with-debug only enables debug CFLAGS
+ # --with-docbook and --with-db2html and their deps are useless,
+ # since docs are already pregenerated in the source tarball
+ econf \
+ --docdir=/usr/share/doc/${PF} \
+ --sysconfdir=/etc/privoxy \
+ --enable-dynamic-pcre \
+ --with-user=privoxy \
+ --with-group=privoxy \
+ $(use_enable acl acl-support) \
+ $(use_enable compression) \
+ $(use_enable client-tags) \
+ $(use_enable editor) \
+ $(use_enable extended-host-patterns) \
+ $(use_enable fast-redirects) \
+ $(use_enable force) \
+ $(use_enable fuzz) \
+ $(use_enable graceful-termination) \
+ $(use_enable image-blocking) \
+ $(use_enable ipv6 ipv6-support) \
+ $(use_enable kernel_FreeBSD accept-filter) \
+ $(use_enable lfs large-file-support) \
+ $(use_enable png-images no-gifs) \
+ $(use_enable stats) \
+ $(use_enable threads pthread) \
+ $(use_enable toggle) \
+ $(use_enable whitelists trust-files) \
+ $(use_enable zlib)
+}
+
+src_install () {
+ default
+
+ newinitd "${FILESDIR}/privoxy.initd-3" privoxy
+ systemd_dounit "${FILESDIR}"/${PN}.service
+
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}/privoxy.logrotate" privoxy
+
+ diropts -m 0750 -g privoxy -o privoxy
+ keepdir /var/log/privoxy
+
+ use extended-host-patterns && newbin tools/url-pattern-translator.pl privoxy-url-pattern-translator.pl
+ if use tools; then
+ dobin tools/{privoxy-log-parser.pl,privoxy-regression-test.pl}
+ newbin tools/uagen.pl privoxy-uagen.pl
+ fi
+}
+
+pkg_postinst() {
+ if use extended-host-patterns; then
+ ewarn
+ ewarn "You enabled extended-host-patterns, now you *must* convert all action files in"
+ ewarn "PCRE-compatible format, or privoxy will fail to start. Helper tool"
+ ewarn "privoxy-url-pattern-translator.pl is available."
+ ewarn
+ fi
+}